# Constant Field Values

## Contents

- net.shibboleth.*

## net.shibboleth.*

net.shibboleth.idp.Version
Modifier and Type
Constant Field
Value
`public static final String`
`MDC_ATTRIBUTE`
`"idp.version"`

net.shibboleth.idp.admin.impl.DoStorageOperation
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT`
`"context"`
`public static final String`
`KEY`
`"key"`
`public static final String`
`SERVICE_ID`
`"storageServiceId"`
net.shibboleth.idp.admin.impl.DumpConfigRequestDecoder
Modifier and Type
Constant Field
Value
`public static final String`
`CAS_PARAM`
`"cas"`
`public static final String`
`OIDC_PARAM`
`"oidc"`
`public static final String`
`PROFILE_PARAM`
`"profile"`
`public static final String`
`PROTOCOL_PARAM`
`"protocol"`
`public static final String`
`REQUESTER_ID_PARAM`
`"requester"`
`public static final String`
`SAML1_PARAM`
`"saml1"`
`public static final String`
`SAML2_PARAM`
`"saml2"`
net.shibboleth.idp.admin.impl.IdPInfo
Modifier and Type
Constant Field
Value
`public static final String`
`IDP_PLUGIN_ID`
`"net.shibboleth.idp"`
net.shibboleth.idp.admin.impl.InstallableComponentGaugeSet
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.installation"`
net.shibboleth.idp.admin.impl.net.shibboleth.idp.admin.impl.OutputConfig.PrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`8948390099419865058L`
net.shibboleth.idp.admin.impl.net.shibboleth.idp.admin.impl.OutputConfig.RequestedAttributeSerializer
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`253237036437497897L`
net.shibboleth.idp.admin.impl.OutputMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`ALL_METRICS`
`"all"`
`public static final String`
`METRIC_ID`
`"metricId"`
net.shibboleth.idp.admin.impl.UnlockDataSealers
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_PASSWORD_PARAM_NAME`
`"keyPassword"`
`public static final String`
`KEYSTORE_PASSWORD_PARAM_NAME`
`"keystorePassword"`
net.shibboleth.idp.admin.impl.UnlockPrivateKeys
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_PASSWORD_PARAM_NAME`
`"privateKeyPassword"`

net.shibboleth.idp.authn.AbstractUsernamePasswordCredentialValidator
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.password"`
net.shibboleth.idp.authn.AbstractValidationAction
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.validation"`
net.shibboleth.idp.authn.AuthenticationFlowDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`FLOW_ID_PREFIX`
`"authn/"`
net.shibboleth.idp.authn.AuthnAuditFields
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHN_FLOW_ID`
`"AF"`
`public static final String`
`AUTHN_RESULT`
`"AR"`
`public static final String`
`CREDENTIAL_VALIDATOR`
`"CV"`
`public static final String`
`DUO_CLIENT_ID`
`"DuoCID"`
`public static final String`
`DUO_DEVICE_ID`
`"DuoDID"`
`public static final String`
`DUO_FACTOR`
`"DuoF"`
`public static final String`
`REQ_PRINC`
`"RPRIN"`
`public static final String`
`REQ_PRINC_OP`
`"ROP"`
`public static final String`
`SSO`
`"SSO"`
`public static final String`
`TRANSFORMED_USERNAME`
`"tu"`
`public static final String`
`X509_ISSUER`
`"X509I"`
`public static final String`
`X509_SUBJECT`
`"X509S"`
net.shibboleth.idp.authn.AuthnEventIds
Modifier and Type
Constant Field
Value
`public static final String`
`ACCOUNT_ERROR`
`"AccountError"`
`public static final String`
`ACCOUNT_LOCKED`
`"AccountLocked"`
`public static final String`
`ACCOUNT_WARNING`
`"AccountWarning"`
`public static final String`
`AUTHN_EXCEPTION`
`"AuthenticationException"`
`public static final String`
`IDENTITY_SWITCH`
`"IdentitySwitch"`
`public static final String`
`INVALID_AUTHN_CTX`
`"InvalidAuthenticationContext"`
`public static final String`
`INVALID_CREDENTIALS`
`"InvalidCredentials"`
`public static final String`
`INVALID_SUBJECT`
`"InvalidSubject"`
`public static final String`
`INVALID_SUBJECT_C14N_CTX`
`"InvalidSubjectCanonicalizationContext"`
`public static final String`
`NO_CREDENTIALS`
`"NoCredentials"`
`public static final String`
`NO_PASSIVE`
`"NoPassive"`
`public static final String`
`NO_POTENTIAL_FLOW`
`"NoPotentialFlow"`
`public static final String`
`PROXY_COUNT_EXCEEDED`
`"ProxyCountExceeded"`
`public static final String`
`REQUEST_UNSUPPORTED`
`"RequestUnsupported"`
`public static final String`
`RESELECT_FLOW`
`"ReselectFlow"`
`public static final String`
`RESTART_AUTHN`
`"RestartAuthentication"`
`public static final String`
`SUBJECT_C14N_COMPLETED`
`"SubjectCanonicalizationCompleted"`
`public static final String`
`SUBJECT_C14N_ERROR`
`"SubjectCanonicalizationError"`
`public static final String`
`UNKNOWN_USERNAME`
`"UnknownUsername"`
net.shibboleth.idp.authn.ExternalAuthentication
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTES_KEY`
`"attributes"`
`public static final String`
`AUTHENTICATING_AUTHORITIES_KEY`
`"authnAuthorities"`
`public static final String`
`AUTHENTICATION_ERROR_KEY`
`"authnError"`
`public static final String`
`AUTHENTICATION_EVENT_KEY`
`"authnEvent"`
`public static final String`
`AUTHENTICATION_EXCEPTION_KEY`
`"authnException"`
`public static final String`
`AUTHENTICATION_INSTANT_KEY`
`"authnInstant"`
`public static final String`
`CONVERSATION_KEY`
`"conversation"`
`public static final String`
`DONOTCACHE_KEY`
`"doNotCache"`
`public static final String`
`EXTENDED_FLOW_PARAM`
`"extended"`
`public static final String`
`FORCE_AUTHN_PARAM`
`"forceAuthn"`
`public static final String`
`PASSIVE_AUTHN_PARAM`
`"isPassive"`
`public static final String`
`PREVIOUSRESULT_KEY`
`"previousResult"`
`public static final String`
`PRINCIPAL_KEY`
`"principal"`
`public static final String`
`PRINCIPAL_NAME_KEY`
`"principal_name"`
`public static final String`
`RELYING_PARTY_PARAM`
`"relyingParty"`
`public static final String`
`RESULT_LIFETIME_KEY`
`"authnLifetime"`
`public static final String`
`RESULT_TIMEOUT_KEY`
`"authnTimeout"`
`public static final String`
`REVOKECONSENT_KEY`
`"revokeConsent"`
`public static final String`
`SUBJECT_KEY`
`"subject"`
`public static final String`
`SWF_KEY`
`"net.shibboleth.idp.flowExecutor"`
net.shibboleth.idp.authn.ExternalAuthenticationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-1411577606714032011L`
net.shibboleth.idp.authn.SubjectCanonicalizationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-53582988179606741L`

net.shibboleth.idp.authn.impl.DefaultAuthenticationResultSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`ADDTL_DATA_FIELD`
`"props"`
`private static final String`
`AUTHN_INSTANT_FIELD`
`"ts"`
`private static final String`
`FLOW_ID_FIELD`
`"id"`
`private static final String`
`PRINCIPAL_ARRAY_FIELD`
`"princ"`
`private static final String`
`PRIV_CREDS_ARRAY_FIELD`
`"priv"`
`private static final String`
`PUB_CREDS_ARRAY_FIELD`
`"pub"`
`private static final String`
`RESULT_LIFETIME_FIELD`
`"rl"`
`private static final String`
`RESULT_TIMEOUT_FIELD`
`"rt"`
`private static final String`
`X509_CREDS_ARRAY_FIELD`
`"x509"`
net.shibboleth.idp.authn.impl.DoLockoutManagerOperation
Modifier and Type
Constant Field
Value
`public static final String`
`INEXACT`
`"inexact"`
`public static final String`
`KEY`
`"key"`
`public static final String`
`MANAGER_ID`
`"lockoutManagerId"`
net.shibboleth.idp.authn.impl.RemoteUserAuthServlet
Modifier and Type
Constant Field
Value
`private static final String`
`AUTHN_AUTHORITY_HEADER_PARAM`
`"authnAuthorityHeader"`
`private static final String`
`AUTHN_METHOD_HEADER_PARAM`
`"authnMethodHeader"`
`private static final String`
`CHECK_ATTRIBUTES_PARAM`
`"checkAttributes"`
`private static final String`
`CHECK_HEADERS_PARAM`
`"checkHeaders"`
`private static final String`
`CHECK_REMOTE_USER_PARAM`
`"checkRemoteUser"`
`private static final long`
`serialVersionUID`
`-3162057736238514851L`
`private static final String`
`SUBJECT_ATTRIBUTE_PARAM`
`"subjectAttribute"`
net.shibboleth.idp.authn.impl.ValidateCredentials
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn"`
net.shibboleth.idp.authn.impl.ValidateExternalAuthentication
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.external"`
net.shibboleth.idp.authn.impl.ValidateFunctionResult
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.function"`
net.shibboleth.idp.authn.impl.ValidateRemoteUser
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.remoteuser"`
net.shibboleth.idp.authn.impl.ValidateUserAgentAddress
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.address"`
net.shibboleth.idp.authn.impl.X500SubjectCanonicalization
Modifier and Type
Constant Field
Value
`private static final String`
`CN_OID`
`"2.5.4.3"`
net.shibboleth.idp.authn.impl.X509AuthServlet
Modifier and Type
Constant Field
Value
`private static final String`
`PASSTHROUGH_PARAM`
`"x509passthrough"`
`private static final String`
`SAVECERT_PARAM`
`"saveCertificateToCredentialSet"`
`private static final long`
`serialVersionUID`
`7466474175700654990L`
`private static final String`
`TRUST_ENGINE_PARAM`
`"trustEngine"`
net.shibboleth.idp.authn.impl.X509ProxyFilter
Modifier and Type
Constant Field
Value
`private static final String`
`APACHE_NULL`
`"(null)"`
`public static final String`
`CHAIN_HEADERS_PARAM`
`"chainHeaders"`
`public static final String`
`LEAF_HEADER_PARAM`
`"leafHeader"`

net.shibboleth.idp.authn.principal.GenericPrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`PRINCIPAL_NAME_FIELD`
`"nam"`
`private static final String`
`PRINCIPAL_TYPE_FIELD`
`"typ"`
net.shibboleth.idp.authn.principal.SealedPrincipalSerializer<T extends Principal>
Modifier and Type
Constant Field
Value
`private static final String`
`PASSWORD_FIELD`
`"PW"`

net.shibboleth.idp.authn.principal.impl.AuthenticationResultPrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`PRINCIPAL_NAME_FIELD`
`"AUTHRES"`
net.shibboleth.idp.authn.principal.impl.IdPAttributePrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`EMPTY_VALUE_FIELD`
`"EMPTY"`
`private static final String`
`PRINCIPAL_ENTRY_FIELD`
`"VALS"`
`private static final String`
`PRINCIPAL_NAME_FIELD`
`"IDPATTR"`
`private static final String`
`SCOPED_VALUE_FIELD`
`"SCO"`
`private static final String`
`STRING_VALUE_FIELD`
`"STR"`
net.shibboleth.idp.authn.principal.impl.LDAPPrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`PRINCIPAL_ENTRY_FIELD`
`"LDAPE"`
`private static final String`
`PRINCIPAL_NAME_FIELD`
`"LDAPN"`
net.shibboleth.idp.authn.principal.impl.ProxyAuthenticationPrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`PROXY_AUD_FIELD`
`"AUD"`
`private static final String`
`PROXY_AUTH_FIELD`
`"AA"`
`private static final String`
`PROXY_COUNT_FIELD`
`"PXC"`
net.shibboleth.idp.authn.principal.impl.X500PrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`X500_NAME_FIELD`
`"X500"`

net.shibboleth.idp.authn.revocation.impl.DoRevocationCacheOperation
Modifier and Type
Constant Field
Value
`public static final String`
`CACHE_ID`
`"revocationCacheId"`
`public static final String`
`CONTEXT`
`"context"`
`public static final String`
`KEY`
`"key"`
net.shibboleth.idp.authn.revocation.impl.RevocationCacheCondition
Modifier and Type
Constant Field
Value
`public static final String`
`ADDRESS_REVOCATION_PREFIX`
`"addr!"`
`public static final String`
`PRINCIPAL_REVOCATION_PREFIX`
`"prin!"`
`public static final String`
`REVOCATION_CONTEXT`
`"LoginFlowRevocation"`

net.shibboleth.idp.authn.spnego.impl.SPNEGOAuthnController
Modifier and Type
Constant Field
Value
`public static final String`
`NTLM_UNSUPPORTED`
`"NTLMUnsupported"`
`public static final String`
`SPNEGO_NOT_AVAILABLE`
`"SPNEGONotAvailable"`
net.shibboleth.idp.authn.spnego.impl.SPNEGOAutoLoginManager
Modifier and Type
Constant Field
Value
`public static final String`
`AUTOLOGIN_COOKIE_NAME`
`"_idp_spnego_autologin"`
`public static final String`
`AUTOLOGIN_COOKIE_VALUE_TRUE`
`"1"`
`public static final String`
`AUTOLOGIN_PARAMETER_NAME`
`"_shib_idp_SPNEGO_enable_autologin"`

net.shibboleth.idp.cas.attribute.CASAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`METADATA_TAG_NAME`
`"http://shibboleth.net/ns/attributes/naming/cas"`
`public static final String`
`PROP_NAME`
`"cas.name"`
`public static final String`
`PROP_NAME_FROM_METADATA`
`"cas.nameFromMetadata"`

net.shibboleth.idp.cas.attribute.transcoding.impl.CASDateTimeAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_EPOCH_UNITS`
`"cas.epochUnits"`
net.shibboleth.idp.cas.attribute.transcoding.impl.CASScopedStringAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_SCOPE_DELIMITER`
`"cas.scopeDelimiter"`

net.shibboleth.idp.cas.audit.impl.StatusCodeLookupFunction
Modifier and Type
Constant Field
Value
`public static final String`
`SUCCESS_CODE`
`"SUCCESS"`

net.shibboleth.idp.cas.config.AbstractProtocolConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROTOCOL_COUNTER`
`"net.shibboleth.idp.profiles.cas"`
`public static final String`
`PROTOCOL_URI`
`"https://www.apereo.org/cas/protocol"`
net.shibboleth.idp.cas.config.LoginConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TICKET_LENGTH`
`25`
`public static final String`
`DEFAULT_TICKET_PREFIX`
`"ST"`
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.cas.login"`
`public static final String`
`PROFILE_ID`
`"https://www.apereo.org/cas/protocol/login"`
net.shibboleth.idp.cas.config.ProxyConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TICKET_LENGTH`
`25`
`public static final String`
`DEFAULT_TICKET_PREFIX`
`"PT"`
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.cas.proxy"`
`public static final String`
`PROFILE_ID`
`"https://www.apereo.org/cas/protocol/proxy"`
net.shibboleth.idp.cas.config.ValidateConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TICKET_LENGTH`
`50`
`public static final String`
`DEFAULT_TICKET_PREFIX`
`"PGT"`
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.cas.serviceValidate"`
`public static final String`
`PROFILE_ID`
`"https://www.apereo.org/cas/protocol/serviceValidate"`

net.shibboleth.idp.cas.flow.impl.AbstractOutgoingSamlMessageAction
Modifier and Type
Constant Field
Value
`protected static final String`
`NAMESPACE`
`"http://www.ja-sig.org/products/cas/"`
net.shibboleth.idp.cas.flow.impl.BuildRelyingPartyContextAction<RequestType,ResponseType>
Modifier and Type
Constant Field
Value
`public static final String`
`UNVERIFIED_GROUP`
`"unverified"`
net.shibboleth.idp.cas.flow.impl.BuildSamlValidationSuccessMessageAction
Modifier and Type
Constant Field
Value
`private static final String`
`NAMESPACE`
`"http://www.ja-sig.org/products/cas/"`
net.shibboleth.idp.cas.flow.impl.WriteValidateResponseAction
Modifier and Type
Constant Field
Value
`private static final String`
`CONTENT_TYPE`
`"text/plain;charset=utf-8"`

net.shibboleth.idp.cas.protocol.CASAuditFields
Modifier and Type
Constant Field
Value
`public static final String`
`GATEWAY`
`"pasv"`
`public static final String`
`GRANTING_TICKET`
`"I"`
`public static final String`
`RENEW`
`"fauth"`
`public static final String`
`SERVICE_TICKET`
`"i"`
`public static final String`
`SERVICE_URL`
`"SP"`
`public static final String`
`STATUS_CODE`
`"S"`
`public static final String`
`STATUS_DETAIL`
`"SM"`
`public static final String`
`USER`
`"n"`
net.shibboleth.idp.cas.protocol.ServiceTicketRequest
Modifier and Type
Constant Field
Value
`public static final String`
`METHOD_GET`
`"GET"`
`public static final String`
`METHOD_POST`
`"POST"`

net.shibboleth.idp.cas.proxy.impl.HttpClientProxyValidator
Modifier and Type
Constant Field
Value
`protected static final String`
`HTTPS_SCHEME`
`"https"`

net.shibboleth.idp.cas.service.impl.MetadataServiceRegistry
Modifier and Type
Constant Field
Value
`public static final String`
`LOGIN_BINDING`
`"https://www.apereo.org/cas/protocol/login"`
`public static final String`
`LOGOUT_BINDING`
`"https://www.apereo.org/cas/protocol/logout"`
`public static final String`
`LOGOUT_LOCATION`
`"urn:mace:shibboleth:profile:CAS:logout"`
`public static final String`
`PROXY_BINDING`
`"https://www.apereo.org/cas/protocol/proxy"`

net.shibboleth.idp.cas.session.impl.CASSPSessionSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`SERVICE_URL_FIELD`
`"surl"`
`private static final String`
`TICKET_FIELD`
`"st"`

net.shibboleth.idp.cas.ticket.impl.EncodingTicketService
Modifier and Type
Constant Field
Value
`private static final String`
`NOT_USED`
`"na"`
`public static final String`
`PROXY_GRANTING_TICKET_PREFIX`
`"PGT-E"`
`public static final String`
`PROXY_TICKET_PREFIX`
`"PT"`
`public static final String`
`SERVICE_TICKET_PREFIX`
`"ST"`

net.shibboleth.idp.cas.ticket.serialization.impl.AbstractTicketSerializer<T extends Ticket>
Modifier and Type
Constant Field
Value
`private static final String`
`AUTHN_INSTANT_FIELD`
`"ai"`
`private static final String`
`AUTHN_METHOD_FIELD`
`"am"`
`private static final String`
`CONSENTED_ATTRS_FIELD`
`"con"`
`private static final String`
`EXPIRATION_FIELD`
`"exp"`
`private static final String`
`PRINCIPAL_FIELD`
`"p"`
`private static final String`
`SERVICE_FIELD`
`"rp"`
`private static final String`
`SESSION_FIELD`
`"sid"`
`private static final String`
`STATE_FIELD`
`"ts"`
net.shibboleth.idp.cas.ticket.serialization.impl.ProxyGrantingTicketSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`PARENT_FIELD`
`"parent"`
`private static final String`
`PGTURL_FIELD`
`"pgtUrl"`
net.shibboleth.idp.cas.ticket.serialization.impl.ProxyTicketSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`PGTID_FIELD`
`"pgt"`
net.shibboleth.idp.cas.ticket.serialization.impl.ServiceTicketSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`RENEW_FIELD`
`"r"`

net.shibboleth.idp.cli.AbstractCommandLineArguments
Modifier and Type
Constant Field
Value
`public static final String`
`BASEURL_PROPERTY`
`"net.shibboleth.idp.cli.baseURL"`
net.shibboleth.idp.cli.CLI
Modifier and Type
Constant Field
Value
`public static final String`
`ARGS_PROPERTY`
`"net.shibboleth.idp.cli.arguments"`

net.shibboleth.idp.conf.impl.RegisterFilterChainServletContextInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`FILTER_NAME`
`"ShibbolethFilterChain"`
`public static final String`
`INIT_PARAMETER_ACTIVATION`
`"net.shibboleth.idp.registerFilterChain"`
`public static final String`
`TARGET_BEAN_NAME`
`"shibboleth.ChainingFilter"`
net.shibboleth.idp.conf.impl.ServletConfigServletContextInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`INIT_PARAMETER_IDP_ACTIVATION`
`"net.shibboleth.idp.registerIdPServlet"`
`public static final String`
`INIT_PARAMETER_METADATA_ACTIVATION`
`"net.shibboleth.idp.registerMetadataServlet"`
`public static final String`
`INIT_PARAMETER_REMOTEUSER_ACTIVATION`
`"net.shibboleth.idp.registerRemoteUserServlet"`
`public static final String`
`INIT_PARAMETER_X509_ACTIVATION`
`"net.shibboleth.idp.registerX509Servlet"`
net.shibboleth.idp.conf.impl.SLF4JMDCServletFilter
Modifier and Type
Constant Field
Value
`public static final String`
`CLIENT_ADDRESS_MDC_ATTRIBUTE`
`"idp.remote_addr"`
`public static final String`
`JSESSIONID_MDC_ATTRIBUTE`
`"idp.jsessionid"`
`public static final String`
`SERVER_ADDRESS_MDC_ATTRIBUTE`
`"idp.server_hostname"`
`public static final String`
`SERVER_PORT_MDC_ATTRIBUTE`
`"idp.server_port"`
net.shibboleth.idp.conf.impl.SpringConfigServletContextInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`INIT_PARAMETER_ACTIVATION`
`"net.shibboleth.idp.registerSpringConfig"`

net.shibboleth.idp.consent.Consent
Modifier and Type
Constant Field
Value
`public static final String`
`WILDCARD`
`"*"`

net.shibboleth.idp.consent.audit.impl.ConsentAuditFields
Modifier and Type
Constant Field
Value
`public static final String`
`CURRENT_CONSENT_IDS`
`"CCI"`
`public static final String`
`CURRENT_CONSENT_IS_APPROVED`
`"CCA"`
`public static final String`
`CURRENT_CONSENT_VALUES`
`"CCV"`

net.shibboleth.idp.consent.flow.impl.ExtractConsent
Modifier and Type
Constant Field
Value
`public static final String`
`CONSENT_IDS_REQUEST_PARAMETER`
`"_shib_idp_consentIds"`

net.shibboleth.idp.consent.flow.storage.impl.AbstractConsentIndexedStorageAction
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_STORAGE_INDEX_KEY`
`"_key_idx"`
net.shibboleth.idp.consent.flow.storage.impl.UpdateCounter
Modifier and Type
Constant Field
Value
`public static final String`
`COUNTER_KEY`
`"_counter"`

net.shibboleth.idp.consent.logic.impl.JoinFunction
Modifier and Type
Constant Field
Value
`public static final String`
`SEPARATOR`
`":"`

net.shibboleth.idp.consent.storage.impl.ConsentSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`ID_FIELD`
`"id"`
`private static final String`
`IS_APPROVED_FIELD`
`"appr"`
`private static final String`
`VALUE_FIELD`
`"v"`

net.shibboleth.idp.installer.InstallerProperties
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_PATH`
`"idp.context.path"`
`public static final String`
`DEFAULT_CONTEXT_PATH`
`"/idp"`
`public static final int`
`DEFAULT_KEY_SIZE`
`3072`
`public static final String`
`ENTITY_ID`
`"idp.entityID"`
`public static final String`
`GROUP_CONF_CREDENTIALS`
`"idp.conf.credentials.group"`
`public static final String`
`HOST_NAME`
`"idp.host.name"`
`public static final String`
`IDP_PROPERTIES_MERGE`
`"idp.merge.properties"`
`public static final String`
`KEY_SIZE`
`"idp.keysize"`
`public static final String`
`KEY_STORE_PASSWORD`
`"idp.keystore.password"`
`public static final String`
`LDAP_PASSWORD`
`"idp.LDAP.credential"`
`public static final String`
`LDAP_PROPERTIES_MERGE`
`"ldap.merge.properties"`
`public static final String`
`MODE_CREDENTIAL_KEYS`
`"idp.conf.credentials.filemode"`
`public static final String`
`NO_PROMPT`
`"idp.noprompt"`
`public static final String`
`NO_TIDY`
`"idp.no.tidy"`
`public static final String`
`PERFORM_SET_MODE`
`"idp.conf.setmode"`
`public static final String`
`PROPERTY_SOURCE_FILE`
`"idp.property.file"`
`public static final String`
`SCOPE`
`"idp.scope"`
`public static final String`
`SEALER_ALIAS`
`"idp.sealer.alias"`
`public static final String`
`SEALER_KEYSIZE`
`"idp.sealer.keysize"`
`public static final String`
`SEALER_PASSWORD`
`"idp.sealer.password"`
`public static final String`
`TARGET_DIR`
`"idp.target.dir"`
net.shibboleth.idp.installer.InstallerSupport
Modifier and Type
Constant Field
Value
`public static final String`
`PREVIOUS_VERSION_NAME`
`"idp.previous.installed.version"`
`public static final String`
`VERSION_NAME`
`"idp.installed.version"`
net.shibboleth.idp.installer.ProgressReportingOutputStream
Modifier and Type
Constant Field
Value
`private static final int`
`PROGRESS_EVERY`
`65536`

net.shibboleth.idp.installer.impl.InstallerProperties
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_KEY_SIZE`
`3072`
`public static final String`
`ENTITY_ID`
`"idp.entityID"`
`public static final String`
`GROUP_CONF_CREDENTIALS`
`"idp.conf.credentials.group"`
`public static final String`
`HOST_NAME`
`"idp.host.name"`
`public static final String`
`IDP_PROPERTIES_MERGE`
`"idp.merge.properties"`
`public static final String`
`KEY_SIZE`
`"idp.keysize"`
`public static final String`
`KEY_STORE_PASSWORD`
`"idp.keystore.password"`
`public static final String`
`LDAP_PASSWORD`
`"idp.LDAP.credential"`
`public static final String`
`LDAP_PROPERTIES_MERGE`
`"ldap.merge.properties"`
`public static final String`
`MODE_CREDENTIAL_KEYS`
`"idp.conf.credentials.filemode"`
`public static final String`
`NO_PROMPT`
`"idp.noprompt"`
`public static final String`
`NO_TIDY`
`"idp.no.tidy"`
`public static final String`
`PERFORM_SET_MODE`
`"idp.conf.setmode"`
`public static final String`
`PROPERTY_SOURCE_FILE`
`"idp.property.file"`
`public static final String`
`SCOPE`
`"idp.scope"`
`public static final String`
`SEALER_ALIAS`
`"idp.sealer.alias"`
`public static final String`
`SEALER_KEYSIZE`
`"idp.sealer.keysize"`
`public static final String`
`SEALER_PASSWORD`
`"idp.sealer.password"`
`public static final String`
`TARGET_DIR`
`"idp.target.dir"`
net.shibboleth.idp.installer.impl.InstallerPropertiesImpl
Modifier and Type
Constant Field
Value
`public static final String`
`INITIAL_INSTALL_MODULES`
`"idp.initial.modules"`
net.shibboleth.idp.installer.impl.UpdateIdPCLI
Modifier and Type
Constant Field
Value
`public static final String`
`SHIBBOLETH_SIGNING_KEYS`
`"https://shibboleth.net/downloads/PGP_KEYS"`

net.shibboleth.idp.installer.plugin.impl.PluginInstaller
Modifier and Type
Constant Field
Value
`private static final String`
`PLUGIN_FILE_PROPERTY_PREFIX`
`"idp.plugin.file."`
`private static final String`
`PLUGIN_RELATIVE_PATHS_PROPERTY`
`"idp.plugin.relativePaths"`
`private static final String`
`PLUGIN_VERSION_PROPERTY`
`"idp.plugin.version"`

net.shibboleth.idp.metrics.impl.IdPGaugeSet
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp"`

net.shibboleth.idp.module.IdPModule
Modifier and Type
Constant Field
Value
`public static final String`
`IDPNEW_EXT_BASE`
`".idpnew"`
`public static final String`
`IDPSAVE_EXT`
`".idpsave"`
net.shibboleth.idp.module.ModuleException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`2811724801157828005L`

net.shibboleth.idp.module.impl.CoreIdPModule
Modifier and Type
Constant Field
Value
`public static final String`
`MODULE_URL_BASE`
`"https://shibboleth.atlassian.net/wiki/spaces/IDP5"`
net.shibboleth.idp.module.impl.ModuleGaugeSet
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.modules"`
net.shibboleth.idp.module.impl.PluginIdPModule
Modifier and Type
Constant Field
Value
`public static final String`
`MODULE_URL_BASE`
`"https://wiki.shibboleth.net/confluence/display/IDPPLUGINS"`

net.shibboleth.idp.plugin.PluginException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`3469763471281379002L`

net.shibboleth.idp.profile.IdPAuditFields
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTES`
`"attr"`
`public static final String`
`DESTINATION_URL`
`"DEST"`
`public static final String`
`EVENT_TIME`
`"T"`
`public static final String`
`EVENT_TYPE`
`"e"`
`public static final String`
`HASHED_SESSION_ID`
`"HASHEDs"`
`public static final String`
`HASHED_USERNAME`
`"HASHEDu"`
`public static final String`
`IMPERSONATING_USERNAME`
`"uu"`
`public static final String`
`PROFILE`
`"P"`
`public static final String`
`RELYING_PARTY_CONFIG`
`"RPC"`
`public static final String`
`REMOTE_ADDR`
`"a"`
`public static final String`
`SESSION_ID`
`"s"`
`public static final String`
`START_TIME`
`"ST"`
`public static final String`
`URI`
`"URI"`
`public static final String`
`URL`
`"URL"`
`public static final String`
`USER_AGENT`
`"UA"`
`public static final String`
`USERNAME`
`"u"`
net.shibboleth.idp.profile.IdPEventIds
Modifier and Type
Constant Field
Value
`public static final String`
`INVALID_ATTRIBUTE_CTX`
`"InvalidAttributeContext"`
`public static final String`
`INVALID_PROFILE_CONFIG`
`"InvalidProfileConfiguration"`
`public static final String`
`INVALID_RELYING_PARTY_CONFIG`
`"InvalidRelyingPartyConfiguration"`
`public static final String`
`INVALID_RELYING_PARTY_CTX`
`"InvalidRelyingPartyContext"`
`public static final String`
`INVALID_SUBJECT_CTX`
`"InvalidSubjectContext"`
`public static final String`
`UNABLE_ENCODE_ATTRIBUTE`
`"UnableToEncodeAttribute"`
`public static final String`
`UNABLE_FILTER_ATTRIBS`
`"UnableToFilterAttributes"`
`public static final String`
`UNABLE_RESOLVE_ATTRIBS`
`"UnableToResolveAttributes"`
`public static final String`
`UPDATE_SECURITY_PARAMETERS`
`"UpdateSecurityParameters"`
net.shibboleth.idp.profile.ScriptedAction
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ENGINE`
`"JavaScript"`

net.shibboleth.idp.profile.impl.LogContextTree
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIB_DESC`
`"contextTreeDescription"`
net.shibboleth.idp.profile.impl.LogSpringContextInfo
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIB_DESC`
`"springInfoDescription"`
net.shibboleth.idp.profile.impl.MetadataQueryRequestDecoder
Modifier and Type
Constant Field
Value
`public static final String`
`CAS_PARAM`
`"cas"`
`public static final String`
`DETECT_DUPLICATES_PARAM`
`"detectDuplicateEntityIDs"`
`public static final String`
`ENTITY_ID_PARAM`
`"entityID"`
`public static final String`
`PROTOCOL_PARAM`
`"protocol"`
`public static final String`
`SAML1_PARAM`
`"saml1"`
`public static final String`
`SAML2_PARAM`
`"saml2"`
net.shibboleth.idp.profile.impl.ReloadServiceConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_ID`
`"serviceId"`
net.shibboleth.idp.profile.impl.ResolverTestRequestDecoder
Modifier and Type
Constant Field
Value
`public static final String`
`ACS_INDEX_PARAM`
`"acsIndex"`
`public static final String`
`PRINCIPAL_PARAM`
`"principal"`
`public static final String`
`PROTOCOL_PARAM`
`"protocol"`
`public static final String`
`REQUESTER_ID_PARAM`
`"requester"`
`public static final String`
`SAML1_PARAM`
`"saml1"`
`public static final String`
`SAML2_PARAM`
`"saml2"`
`public static final String`
`UNFILTERED_PARAM`
`"unfiltered"`

net.shibboleth.idp.profile.interceptor.ExternalInterceptor
Modifier and Type
Constant Field
Value
`public static final String`
`CONVERSATION_KEY`
`"conversation"`
`public static final String`
`EVENT_KEY`
`"event"`
`public static final String`
`SWF_KEY`
`"net.shibboleth.idp.flowExecutor"`
net.shibboleth.idp.profile.interceptor.ExternalInterceptorException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`2344188427329594209L`
net.shibboleth.idp.profile.interceptor.ProfileInterceptorFlowDescriptor
Modifier and Type
Constant Field
Value
`public static final String`
`FLOW_ID_PREFIX`
`"intercept/"`

net.shibboleth.idp.profile.spring.factory.FlowDefinitionResourceFactory
Modifier and Type
Constant Field
Value
`private static final String`
`CLASSPATH_SCHEME`
`"classpath:"`
`private static final String`
`CLASSPATH_STAR_SCHEME`
`"classpath*:"`
`private static final String`
`FILESYSTEM_SCHEME`
`"file:"`
`private static final String`
`SLASH`
`"/"`

net.shibboleth.idp.profile.testing.ActionTestingSupport
Modifier and Type
Constant Field
Value
`public static final String`
`INBOUND_MSG_ID`
`"inbound"`
`public static final String`
`INBOUND_MSG_ISSUER`
`"http://sp.example.org"`
`public static final String`
`OUTBOUND_MSG_ID`
`"outbound"`
`public static final String`
`OUTBOUND_MSG_ISSUER`
`"http://idp.example.org"`
net.shibboleth.idp.profile.testing.RequestContextBuilder
Modifier and Type
Constant Field
Value
`private static final String`
`NO_VAL`
`"novalue"`

net.shibboleth.idp.saml.audit.impl.WriteFTICKSLog
Modifier and Type
Constant Field
Value
`public static final String`
`FTICKS_LOG_CATEGORY`
`"Shibboleth-FTICKS"`

net.shibboleth.idp.saml.authn.principal.impl.NameIDPrincipalSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`FORMAT_FIELD`
`"F"`
`private static final String`
`NAME_QUALIFIER_FIELD`
`"NQ"`
`private static final String`
`PRINCIPAL_NAME_FIELD`
`"NID"`
`private static final String`
`SP_NAME_QUALIFIER_FIELD`
`"SPNQ"`
`private static final String`
`SP_PROVIDED_ID_FIELD`
`"SPID"`

net.shibboleth.idp.saml.impl.testing.TestSources
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTE_ATTRIBUTE_VALUE_STRING`
`"at1-Attribute"`
`public static final String`
`COMMON_ATTRIBUTE_VALUE_STRING`
`"at1-Data"`
`public static final String`
`CONNECTOR_ATTRIBUTE_VALUE_REGEXP`
`"at1-(.+)or"`
`public static final String`
`CONNECTOR_ATTRIBUTE_VALUE_STRING`
`"at1-Connector"`
`public static final String`
`DEPENDS_ON_ATTRIBUTE_NAME_ATTR`
`"at1"`
`public static final String`
`DEPENDS_ON_ATTRIBUTE_NAME_CONNECTOR`
`"ac1"`
`public static final String`
`DEPENDS_ON_SECOND_ATTRIBUTE_NAME`
`"at2"`
`public static final String`
`IDP_ENTITY_ID`
`"https://idp.example.org/idp"`
`public static final String`
`PRINCIPAL_ID`
`"PETER_THE_PRINCIPAL"`
`public static final String`
`SP_ENTITY_ID`
`"https://sp.example.org/sp"`
`public static final String`
`STATIC_CONNECTOR_NAME`
`"staticCon"`
`public static final String`
`TEST_AUTHN_METHOD`
`"AuthNmEthod"`
`public static final String`
`TEST_PRINCIPAL`
`"PrincipalName"`
`public static final String`
`TEST_RELYING_PARTY`
`"RP1"`

net.shibboleth.idp.saml.nameid.NameDecoderException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`2733354405831675687L`

net.shibboleth.idp.saml.nameid.impl.TransientIdParameters
Modifier and Type
Constant Field
Value
`private static final String`
`ATTRIBUTE_RECIPIENT_FIELD`
`"sp"`
`public static final String`
`CONTEXT`
`"TransientId"`
`private static final String`
`PRINCIPAL_FIELD`
`"princ"`

net.shibboleth.idp.saml.profile.SAMLAuditFields
Modifier and Type
Constant Field
Value
`public static final String`
`ASSERTION_ID`
`"i"`
`public static final String`
`ASSERTION_ISSUE_INSTANT`
`"d"`
`public static final String`
`AUTHN_CONTEXT`
`"ac"`
`public static final String`
`AUTHN_INSTANT`
`"t"`
`public static final String`
`ENCRYPTION`
`"X"`
`public static final String`
`ENCRYPTION_ALGORITHM`
`"XA"`
`public static final String`
`FORCE_AUTHN`
`"fauth"`
`public static final String`
`IDENTITY_PROVIDER`
`"IDP"`
`public static final String`
`IN_RESPONSE_TO`
`"II"`
`public static final String`
`IS_PASSIVE`
`"pasv"`
`public static final String`
`NAMEID`
`"n"`
`public static final String`
`NAMEID_FORMAT`
`"f"`
`public static final String`
`NAMEIDPOLICY_FORMAT`
`"pf"`
`public static final String`
`NAMEIDPOLICY_SP_NAME_QUALIFIER`
`"PSPQ"`
`public static final String`
`PROTOCOL`
`"p"`
`public static final String`
`PROXY_AUDIENCE`
`"PRA"`
`public static final String`
`PROXY_COUNT`
`"PRC"`
`public static final String`
`RELAY_STATE`
`"RS"`
`public static final String`
`REQUEST_BINDING`
`"b"`
`public static final String`
`REQUEST_ID`
`"I"`
`public static final String`
`REQUEST_ISSUE_INSTANT`
`"D"`
`public static final String`
`RESPONSE_BINDING`
`"bb"`
`public static final String`
`RESPONSE_ID`
`"III"`
`public static final String`
`RESPONSE_ISSUE_INSTANT`
`"DD"`
`public static final String`
`SCOPING_IDP_LIST`
`"SCI"`
`public static final String`
`SCOPING_PROXY_COUNT`
`"SCC"`
`public static final String`
`SCOPING_REQ_LIST`
`"SCR"`
`public static final String`
`SERVICE_PROVIDER`
`"SP"`
`public static final String`
`SESSION_INDEX`
`"x"`
`public static final String`
`SIGNING`
`"XX"`
`public static final String`
`SP_NAME_QUALIFIER`
`"SPQ"`
`public static final String`
`STATUS_CODE`
`"S"`
`public static final String`
`STATUS_MESSAGE`
`"SM"`
`public static final String`
`SUBSTATUS_CODE`
`"SS"`

net.shibboleth.idp.saml.profile.impl.BaseIdPInitiatedSSORequestMessageDecoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROVIDER_ID_PARAM`
`"providerId"`
`public static final String`
`SHIRE_PARAM`
`"shire"`
`public static final String`
`TARGET_PARAM`
`"target"`
`public static final String`
`TIME_PARAM`
`"time"`
net.shibboleth.idp.saml.profile.impl.ExtractSubjectFromRequest
Modifier and Type
Constant Field
Value
`public static final String`
`NO_SUBJECT`
`"NoSubject"`
net.shibboleth.idp.saml.profile.impl.ReloadMetadata
Modifier and Type
Constant Field
Value
`public static final String`
`RESOLVER_ID`
`"resolverId"`

net.shibboleth.idp.saml.saml1.profile.config.impl.ArtifactResolutionProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml1.query.artifact"`
net.shibboleth.idp.saml.saml1.profile.config.impl.AttributeQueryProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml1.query.attribute"`
net.shibboleth.idp.saml.saml1.profile.config.impl.BrowserSSOProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml1.sso.browser"`

net.shibboleth.idp.saml.saml1.profile.impl.IdPInitiatedSSORequestMessageDecoder
Modifier and Type
Constant Field
Value
`private static final String`
`BINDING_URI`
`"urn:mace:shibboleth:1.0:profiles:AuthnRequest"`

net.shibboleth.idp.saml.saml2.profile.config.impl.ArtifactResolutionProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml2.query.artifact"`
net.shibboleth.idp.saml.saml2.profile.config.impl.AttributeQueryProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.sam2.query.attribute"`
net.shibboleth.idp.saml.saml2.profile.config.impl.BrowserSSOProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml2.sso.browser"`
net.shibboleth.idp.saml.saml2.profile.config.impl.ECPProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml2.sso.ecp"`
net.shibboleth.idp.saml.saml2.profile.config.impl.SingleLogoutProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_COUNTER`
`"net.shibboleth.idp.profiles.saml2.logout"`
net.shibboleth.idp.saml.saml2.profile.config.impl.SSOSProfileConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`PROFILE_ID`
`"http://shibboleth.net/ns/profiles/liberty/ssos"`

net.shibboleth.idp.saml.saml2.profile.impl.IdPInitiatedSSORequestMessageDecoder
Modifier and Type
Constant Field
Value
`private static final String`
`BINDING_URI`
`"urn:mace:shibboleth:2.0:profiles:AuthnRequest"`
net.shibboleth.idp.saml.saml2.profile.impl.PreProcessLogoutMessage
Modifier and Type
Constant Field
Value
`public static final String`
`IS_LOGOUT_REQUEST_ASYNC`
`"IsLogoutRequestAsync"`
`public static final String`
`IS_LOGOUT_RESPONSE`
`"IsLogoutResponse"`
net.shibboleth.idp.saml.saml2.profile.impl.ValidateSAMLAuthentication
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_METRIC_NAME`
`"net.shibboleth.idp.authn.saml"`

net.shibboleth.idp.saml.session.impl.SAML2SPSessionSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`ACS_LOC_FIELD`
`"acs"`
`private static final String`
`LOGOUT_PROP_FIELD`
`"slo"`
`private static final String`
`NAMEID_FIELD`
`"nam"`
`private static final String`
`SESSION_INDEX_FIELD`
`"ix"`

net.shibboleth.idp.session.AbstractSPSessionSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`CREATION_INSTANT_FIELD`
`"ts"`
`private static final String`
`SERVICE_ID_FIELD`
`"id"`
net.shibboleth.idp.session.IdPSession
Modifier and Type
Constant Field
Value
`public static final String`
`MDC_ATTRIBUTE`
`"idp.session.id"`
net.shibboleth.idp.session.SessionException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`7386570841274850785L`

net.shibboleth.idp.session.impl.PopulateLogoutPropagationContext
Modifier and Type
Constant Field
Value
`private static final String`
`SESSION_NOT_FOUND`
`"SessionNotFound"`
`private static final String`
`SESSION_PARAM_BYREF`
`"SessionKey"`
`private static final String`
`SESSION_PARAM_BYVAL`
`"SPSession"`
net.shibboleth.idp.session.impl.PopulateMultiRPContextFromLogoutContext
Modifier and Type
Constant Field
Value
`private static final String`
`LABEL`
`"logout"`
net.shibboleth.idp.session.impl.SaveLogoutContext
Modifier and Type
Constant Field
Value
`public static final String`
`LOGOUT_CONTEXT_KEY`
`"net.shibboleth.idp.session.impl.LogoutContext"`
net.shibboleth.idp.session.impl.StorageBackedIdPSessionSerializer
Modifier and Type
Constant Field
Value
`private static final String`
`CREATION_INSTANT_FIELD`
`"ts"`
`private static final String`
`FLOW_ID_ARRAY_FIELD`
`"flows"`
`private static final String`
`IPV4_ADDRESS_FIELD`
`"v4"`
`private static final String`
`IPV6_ADDRESS_FIELD`
`"v6"`
`private static final String`
`PRINCIPAL_NAME_FIELD`
`"nam"`
`private static final String`
`SERVICE_ID_ARRAY_FIELD`
`"svcs"`
`private static final String`
`UNK_ADDRESS_FIELD`
`"unk"`
net.shibboleth.idp.session.impl.StorageBackedSessionManager
Modifier and Type
Constant Field
Value
`protected static final String`
`DEFAULT_COOKIE_NAME`
`"shib_idp_session"`
`public static final String`
`SESSION_PRIMARY_KEY`
`"_session"`

net.shibboleth.idp.spring.IdPPropertiesApplicationContextInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`FAILFAST_PROPERTY`
`"idp.initializer.failFast"`
`public static final String`
`IDP_ADDITIONAL_PROPERTY`
`"idp.additionalProperties"`
`public static final String`
`IDP_AUTOSEARCH_PROPERTY`
`"idp.searchForProperties"`
`public static final String`
`IDP_AUTOSEARCH_ROOT`
`"conf"`
`public static final String`
`IDP_DUPLICATE_PROPERTY`
`"idp.duplicateProperties"`
`public static final String`
`IDP_HOME_PROPERTY`
`"idp.home"`
`public static final String`
`IDP_PROPERTIES`
`"/conf/idp.properties"`
`public static final String`
`SEARCH_LOCATION`
`"/opt/shibboleth-idp"`

net.shibboleth.idp.ui.csrf.BaseCSRFTokenPredicate
Modifier and Type
Constant Field
Value
`public static final String`
`CSRF_EXCLUDED_ATTRIBUTE_NAME`
`"csrf_excluded"`
net.shibboleth.idp.ui.csrf.InvalidCSRFTokenException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`9166119183460973854L`

net.shibboleth.idp.ui.csrf.impl.CSRFTokenFlowExecutionListener
Modifier and Type
Constant Field
Value
`public static final String`
`CSRF_TOKEN_VIEWSCOPE_NAME`
`"csrfToken"`
net.shibboleth.idp.ui.csrf.impl.SimpleCSRFToken
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`3742188179558262003L`

net.shibboleth.idp.ui.taglib.OrganizationDisplayNameTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-196716418770324981L`
net.shibboleth.idp.ui.taglib.OrganizationNameTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-6896271567378071224L`
net.shibboleth.idp.ui.taglib.OrganizationURLTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`5633365955540356312L`
net.shibboleth.idp.ui.taglib.ServiceContactTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`5437171915434315671L`
net.shibboleth.idp.ui.taglib.ServiceDescriptionTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`3794685928805227487L`
net.shibboleth.idp.ui.taglib.ServiceInformationURLTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`4154999542916069376L`
net.shibboleth.idp.ui.taglib.ServiceLogoTag
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_ALT_TXT`
`"SP Logo"`
`private static final String`
`DEFAULT_VALUE`
`""`
`private static final long`
`serialVersionUID`
`5309357312113020929L`
net.shibboleth.idp.ui.taglib.ServiceNameTag
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_VALUE`
`"Unspecified Service Provider"`
`private static final long`
`serialVersionUID`
`2131709003267781456L`
net.shibboleth.idp.ui.taglib.ServicePrivacyURLTag
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-5857694815588394787L`
net.shibboleth.idp.ui.taglib.ServiceTagSupport
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`4405207268569727209L`